* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  scroll-behavior: smooth;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
:root {
  --bg-color: #1b1a1a;
  --second-bg-color: #1d1c1c;
  --text-color: white;

  --start-gradient: #33c9ff;
  --end-gradient: #8153ff;
}
html {
  font-size: 60%;
  overflow-x: hidden;
}

body{
  background: var(--bg-color);
  color: var(--text-color);
}

/* styles all elements with class="header" */
.header{
   position: fixed;
   width: 100%;
   top: 0;
   left: 0;
   padding: 4rem 15%;
   background: var(--bg-color);
   backdrop-filter: blur(10px);
   display: flex;
   justify-content: space-between; /* distributes header elements with equal space between */
   align-items: center; /* centers items vertically */
   z-index: 1000;
}

#menu-icon{
  font-size: 3.5rem;
  color: var(--start-gradient);
  display: none;

}

/* gradient name that links to home page */
.logo{
  font-size: 3rem;
  color: var(--text-color);
  font-weight: 800;
  cursor: pointer;
  transition: 0.3s ease-in-out;
}
.logo:hover{
  transform: scale(1.1); 
}

span{
  background: linear-gradient(
    270deg,
    var(--start-gradient) 15%,
    var(--end-gradient) 100%
  );
  background-clip: text;
  color: transparent;
}

/* top navgigation bar */
.navbar a {
  font-size: 1.8rem;
  color: var(--text-color);
  margin-left: 3rem;
  font-weight: 500;
  transition: 0.3s ease-in-out;
  border-bottom: 3px solid transparent;
  display: inline-block; /* inline-block necessary for scaling */
  transform-origin: center; /* ensure scaling happens from the center */
}
.navbar a:hover {
  transform: scale(1.2);
  color: var(--start-gradient);
  text-shadow: 0 0 5px var(--end-gradient), 0 0 15px var(--end-gradient);
}

.gradient-btn{
  font-size: 1.8rem;
  padding: 1rem 2rem;
  border-radius: 3rem;
  background: linear-gradient(
    270deg,
    var(--start-gradient) 15%,
    var(--end-gradient) 100%
  );
  letter-spacing: 1px;
  cursor: pointer;
  transition: 0.3s ease-in-out;
  color: white;
  border: none;
  text-wrap: nowrap;
}
.gradient-btn:hover{
  transform: scale(1.1); 
}

section{
  min-height: 100vh;
  padding: 10rem 15%;
}
.home{
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5rem;
}
.home-content{
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  text-align: right;
  width: 100%; /* make heading use less lines */
}
.home-content h1{
  font-size: 6rem;
  font-weight: 700;
  margin-top: 1.5rem;
  line-height: 1;
}
.home-content h3{
  margin: 1rem 0;
  font-size: 2.5rem;
}
.home-content p{
  font-size: 1.75rem;
  font-weight: 500;
  line-height: 1.8;
}
.home-img img{
  width: 32vw;
  border-radius: 50%;
  box-shadow: 0 0 25px whitesmoke;
  transition: 0.4s ease-in-out;
}
.home-img img:hover{
  box-shadow: 0 0 10px var(--start-gradient),
              0 0 30px var(--start-gradient), 
              0 0 60px var(--end-gradient);
}
.social-icons a{
  display: inline-flex;
  justify-content: center;
  align-items: center;
  font-size: 3rem;
  padding: 1rem;
  background: transparent;
  border: 2px solid var(--start-gradient);
  border-radius: 50%;
  color: var(--start-gradient);
  margin: 3rem 0.5rem;
  transition: 0.3s ease-in-out;
}
.social-icons a:hover{
  color: var(--text-color);
  background-color: var(--start-gradient);
  transform: scale(1.2)translateY(-5px); /* on hover: enlarge + move up 5px */
  box-shadow: 0 0 20px var(--start-gradient);
}
.btn-group{
  display: flex;
  gap: 2rem;
}
.btn{
  display: inline-block;
  padding: 1rem 3rem;
  background-color: var(--start-gradient);
  box-shadow: 0 0 10px var(--start-gradient);
  border-radius: 3rem;
  font-size: 1.8rem;
  color: var(--bg-color);
  border: 2px solid transparent;
  font-weight: 600;
  transition: 0.3s ease-in-out; 
}
.btn:hover{
  transform: scale(1.05);
  box-shadow: 0 0 25px var(--start-gradient),
              0 0 50px var(--start-gradient);
}

.btn-group a:nth-of-type(2){
  background-color: var(--bg-color);
  color: var(--start-gradient);
  border: 2px solid var(--start-gradient);
  box-shadow: 0 0 25px var(--start-gradient),
              0 0 50 var(--start-gradient);
}
.btn-group a:nth-of-type(2):hover{
  box-shadow: 0 0 25px var(--start-gradient);
  background-color: var(--start-gradient);
  color: var(--bg-color);
}

.about{
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10rem;
  background: var(--bg-color) /* EDIT: background color for ABOUT ME section */
}
.about-img img{
  width: 15vw;
  border-radius: 50%;
  box-shadow: 0 0 25px whitesmoke;
  transition: 0.4s ease-in-out;
}
.about-img img:hover{
  box-shadow: 0 0 10px var(--start-gradient),
              0 0 30px var(--start-gradient), 
              0 0 60px var(--end-gradient);
}
.about-content h2{
  margin-bottom: 2rem;
  font-size: 7rem;
  text-align: left;
}
.about-content p{
  font-size: 1.75rem;
  font-weight: 500;
  line-height: 1.8;
}
.about-content .btn{
  margin: 3rem 0;
}


::-webkit-scrollbar {
  width: 15px;
  transition: width 0.3s ease-in-out;
}
::-webkit-scrollbar-track {
  background-color: var(--bg-color);
}
::-webkit-scrollbar-thumb {
  background-color: var(--start-gradient);
  border-radius: 11px; /* round edges of scrollbar */
}

.heading{
  text-align: center;
  font-size: 7rem;
  margin: 5rem 0;
}

.services{
  background-color: var(--bg-color);
  color: black;
}
.services h2{
  color: var(--text-color);
}

.services-container{
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr)); /* automatically fit cards side by side */
  align-items: center;
  gap: 2.5rem;
}
.service-box{
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--start-gradient);
  height: 600px;
  border-radius: 3rem;
  cursor: pointer;
  border: 5px solid transparent;
  transition: 0.4s ease-in-out;
}
.service-box:hover{
  background: var(--second-bg-color);
  color: var(--start-gradient);
  border: 5px solid var(--start-gradient);
  transform: scale(1.03);
}
.service-info{
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  align-items: center;
  padding: 5rem;
}
.service-info h4{
  font-size: 4rem;
  margin: 2rem 0;
  font-weight: 800;
}
.service-info p{
  font-size: 1.4rem;
  font-weight: 600;
  line-height: 1.7;
}
.service-info i{
  font-size: 8rem;
}

.projects{
  background-color: var(--second-bg-color);
}
.projects-box {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(330px, 1fr));
  align-items: stretch; /* Ensure items stretch */
  gap: 3rem;
  row-gap: 5rem;
}

.project-card {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  background-color: var(--bg-color);
  border: 2px solid var(--start-gradient);
  border-radius: 3rem;
  gap: 2rem;
  padding: 5rem 2rem;
  overflow: hidden;
  cursor: pointer;
  box-shadow: 0 0 4px var(--start-gradient);
  transition: 0.3s ease;
  min-height: 100%; /* make project cards equal height */
}

.project-card:hover {
  border: 2px solid var(--start-gradient);
  box-shadow: 0 0 15px var(--start-gradient), 0 0 40px var(--end-gradient);
  transform: scale(1.02);
}

.project-card img {
  max-width: 330px;
  border-radius: 2em;
  object-fit: cover;
}

.project-card h3 {
  font-size: 3rem;
  flex-grow: 1; /* = title expands properly */
}

.project-card p {
  font-size: 1.5rem;
  text-align: left;
  margin: 1rem;
  flex-grow: 1; /*  paragraph expands */
}

.contact{
  background-color: var(--bg-color);
}
.contact h2{
  margin-bottom: 3rem;
  color: var(--text-color);
}
.contact form{
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 3rem;
  margin: 5rem 0;
  text-align: center;
}
.contact form .input-box input,
.contact form textarea{
  width: 100%;
  padding: 2.5rem;
  font-size: 1.8rem;
  color: var(--text-color);
  background-color: var(--bg-color);
  border-radius: 2rem;
  border: 2px solid var(--start-gradient);
  margin: 1.5rem 0;
  resize: none;
}

.footer{
  background-color: var(--bg-color);
  padding: 50px 0;
}
.footer .social-icons{
  text-align: center;
}
.footer ul{
  text-align: center;
  font-size: 1.8 center;
}
.footer ul li{
  display: inline-block;
  margin-left: 20px;
}
.footer ul li a{
  color: white;
  border-bottom: 3px solid transparent;
  transition: 0.3s ease-in-out;
  font-size: 16px;
}
.footer ul li a:hover{
  transform: scale(1.2);
  color: var(--start-gradient);
  text-shadow: 0 0 5px var(--end-gradient), 0 0 15px var(--end-gradient);
}
.footer .copyright{
  text-align: center;
  margin-top: 40px;
  font-size: 16px;
}

/* responsiveness : only apply if screen width is small */
@media(max-width: 1285px){
  #menu-icon{
    display: block;
  }
  .navbar{
    position: absolute;
    top: 100%;
    right: 0;
    width: 50%;
    padding: 1rem 3rem;
    background: rgba(0,0,0, 0.8);
    border-bottom-left-radius: 2rem;
    border-left: 2px solid var(--start-gradient);
    border-bottom: 2px solid var(--start-gradient);
    display: none;
  }
  .navbar.active{
    display: block;
  }

  .gradient-btn{
    display: none;
  }
  .home{
    flex-direction: column-reverse;
    margin: 5rem 0;
    gap: 5rem;
  }
  .home-content{
    align-items: center;
    text-align: center;
  }
  .home-img img{
    width: 56vw
  }
  .about h2{
    text-align: center;
    margin: 2rem 0;
  }
  .contact form{
    flex-direction: column;
  }
}




